using System.Text.Json;
using eSuite.Core.Miscellaneous;

namespace e_suite.Service.SigmaImporter.Extensions;

public static class ObjectExtensions
{
    public static string ToJson<T>(this T obj)
    {
        return JsonSerializer.Serialize(obj);
    }
}

public static class GuidExtensions
{
    public static GeneralIdRef ToGeneralIdRef(this Guid guid)
    {
        return new GeneralIdRef { Guid = guid };
    }
}